#include <stdlib.h>
#include <stdio.h>
#include "screen.h"
#include "poly.h"

void read_obj( struct Object *obj ) ;

int main()
{
struct Object *obj ;
struct Camera viewp ;
int i ;
#if defined __POWERX__ || defined __POWERXVM__
unsigned char *msg ; 
unsigned int  *dsp_var ; 
#endif
 
  init_env() ;
#if defined __POWERX__ || defined __POWERXVM__
  msg=malloc(128) ;
  for(i=0;i<128;i++) msg[i]=0 ;
  dsp_var=malloc(sizeof(unsigned int)) ;
  *dsp_var=0 ;
  strcpy(msg,"Initialized Message Line") ;
#endif  

  init_camera( &viewp ) ;
  obj=create_polylist() ;

  if( obj==NULL ){
#if defined __POWERX__ || defined __POWERXVM__
    strcpy(msg,"Can not create Object           ") ;
    __end() ;
#else
    printf("Can not create Object\n") ;
    exit(-1) ;
#endif
  }
  strcpy(msg,"create_polylist passed.         ") ;

  read_obj( obj ) ;
  strcpy(msg,"read_obj_passed.                ") ;
  *dsp_var=obj->num ;

  i=0 ;
  for( i=0 ; i<65536/128 ; i++ ){
    obj->oz=(obj->oz+ 5)%512 ;
    obj->ox=(obj->ox+10)%512 ;
    obj->oy=(obj->oy+ 3)%512 ;
    draw_obj( &viewp, obj ) ;
    *dsp_var=i ;
  }
  strcpy(msg,"draw_obj_passed.                ") ;
  __end() ;
#ifndef __POWERXVM__
  //  dump_screen() ;
#endif

#if defined __POWERX__ || defined __POWERXVM__
  __end() ;
#else
  exit(0) ;
#endif
}
/*
  heaptop =0x00200000
  vram_top=0x00300000
*/
